summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-08-27 21:54:19 +0000
committerMichał Górny <mgorny@gentoo.org>2012-08-27 21:54:19 +0000
commit6e5a623f61c666053fe8cf3e0e3277dffafe4014 (patch)
tree7160f89c6ebfea82370126f15c43d2feb36bdee1 /eclass/systemd.eclass
parentAdd systemd_newtmpfilesd(). (diff)
downloadgentoo-2-6e5a623f61c666053fe8cf3e0e3277dffafe4014.tar.gz
gentoo-2-6e5a623f61c666053fe8cf3e0e3277dffafe4014.tar.bz2
gentoo-2-6e5a623f61c666053fe8cf3e0e3277dffafe4014.zip
tmpfiles.d: ensure .conf suffix when installing.
Diffstat (limited to 'eclass/systemd.eclass')
-rw-r--r--eclass/systemd.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/systemd.eclass b/eclass/systemd.eclass
index 08f29cb0723f..4acd5de0af85 100644
--- a/eclass/systemd.eclass
+++ b/eclass/systemd.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/systemd.eclass,v 1.12 2012/08/27 21:53:04 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/systemd.eclass,v 1.13 2012/08/27 21:54:19 mgorny Exp $
# @ECLASS: systemd.eclass
# @MAINTAINER:
@@ -89,6 +89,11 @@ systemd_newunit() {
systemd_dotmpfilesd() {
debug-print-function ${FUNCNAME} "${@}"
+ for f; do
+ [[ ${f} == *.conf ]] \
+ || die 'tmpfiles.d files need to have .conf suffix.'
+ done
+
(
insinto /usr/lib/tmpfiles.d/
doins "${@}"
@@ -103,6 +108,9 @@ systemd_dotmpfilesd() {
systemd_newtmpfilesd() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${2} == *.conf ]] \
+ || die 'tmpfiles.d files need to have .conf suffix.'
+
(
insinto /usr/lib/tmpfiles.d/
newins "${@}"